package com.zd.chemical.domain.vo;

import com.zd.common.core.enums.LockTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * 化学品柜锁信息
 */
public class AioCabinetLockVo {

    @ApiModelProperty(value = "ID主键")
    private Long id;

    @ApiModelProperty(value = "库存ID")
    private Long joinId;

    @ApiModelProperty(value = "开锁类型: 0 系统，1 入库，2 出库，3 领用，4 归还")
    @NotNull(message = "开锁类型不能为空！")
    private LockTypeEnum lockType;

    @ApiModelProperty(value = "机柜ID")
    private Long cabinetId;

    @ApiModelProperty(value = "摄像头IP地址")
    private String ipAddress;

    @ApiModelProperty(value = "柜锁记录Id")
    private Long lockLogId;

    @ApiModelProperty(value = "柜锁ID")
    private Integer lockId;

    @ApiModelProperty(value = "柜锁编号")
    private String lockCode;

    @ApiModelProperty(value = "柜锁名称")
    private String lockName;

    @ApiModelProperty(value = "实验室ID")
    private Long subId;

    @ApiModelProperty(value = "操作时长（单位分）")
    private Integer operateTime;

    @ApiModelProperty(value = "出入库ID")
    private Long stockId;

    @ApiModelProperty(value = "是否设置柜锁")
    private boolean cabinetLock = false;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(Long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public Integer getLockId() {
        return lockId;
    }

    public void setLockId(Integer lockId) {
        this.lockId = lockId;
    }

    public String getLockCode() {
        return lockCode;
    }

    public void setLockCode(String lockCode) {
        this.lockCode = lockCode;
    }

    public String getLockName() {
        return lockName;
    }

    public void setLockName(String lockName) {
        this.lockName = lockName;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Integer getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Integer operateTime) {
        this.operateTime = operateTime;
    }

    public Long getJoinId() {
        return joinId;
    }

    public void setJoinId(Long joinId) {
        this.joinId = joinId;
    }

    public LockTypeEnum getLockType() {
        return lockType;
    }

    public void setLockType(LockTypeEnum lockType) {
        this.lockType = lockType;
    }

    public Long getLockLogId() {
        return lockLogId;
    }

    public void setLockLogId(Long lockLogId) {
        this.lockLogId = lockLogId;
    }

    public Long getStockId() {
        return stockId;
    }

    public void setStockId(Long stockId) {
        this.stockId = stockId;
    }

    public boolean isCabinetLock() {
        return cabinetLock;
    }

    public void setCabinetLock(boolean cabinetLock) {
        this.cabinetLock = cabinetLock;
    }
}
